%define plone_minver 3.0.6

%define zope_home      %{_libdir}/zope
%define software_home  %{zope_home}/lib/python

Name:           plone-PloneLdap
Version:        1.0
Release:        1%{?dist}
Summary:        The PloneLDAP product is intended to make it easier to use LDAP connections in a Plone website.
License:        GPLv2+
Group:          System Environment/Daemons
URL:            http://www.plone.org/
Source0:        http://plone.org/products/ploneldap/releases/%{version}/PloneLDAP-bundle-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       plone >= %{plone_minver}
Provides:	PloneLdap = %{version}, LDAPUserFolder, LDAPMultiPlugins, plone-LDAPUserFolder, plone-LDAPMultiPlugins

%description
The PloneLDAP product is intended to make it easier to use LDAP connections 
in a Plone website. It contains PAS plugins which allow using of LDAP and 
Active Directory servers in a Plone site.

%prep
%setup -q -c -n %{name}-%{version}
# Clean up sources
find . -type d -name CVS | xargs rm -rf
find . -type f -name .cvsignore | xargs rm -rf
find . -type d -name .svn | xargs rm -rf
find . -type f -name "*~" | xargs rm -rf


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{software_home}/Products
install -d $RPM_BUILD_ROOT%{software_home}/lib/python
cp -pr * $RPM_BUILD_ROOT%{software_home}/Products/
#cp -pr lib/python/* $RPM_BUILD_ROOT%{software_home}/

%clean
rm -rf $RPM_BUILD_ROOT


%post
# Make it available to Zope, be it on install or on upgrade
/sbin/service zope condrestart >/dev/null 2>&1


%files
%defattr(644,root,root,755)
%{software_home}/Products/*

%changelog
* Wed Mar 12 2008 Josko Plazonic <plazonic@math.princeton.edu>
- initial packaging
